Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357677 - Review Request: python-rfc3987 - Parsing and validation of URIs (RFC 3986) and IRIs (RFC 3987)
Summary: Review Request: python-rfc3987 - Parsing and validation of URIs (RFC 3986) an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 20:30 UTC by Eduardo Mayorga
Modified: 2017-04-19 18:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-19 18:13:42 UTC
athoscribeiro: fedora-review+


Attachments (Terms of Use)
python-rfc3987.spec.diff (deleted)
2016-08-13 08:15 UTC, Igor Gnatenko
no flags Details | Diff

Description Eduardo Mayorga 2016-07-18 20:30:00 UTC
Spec URL: https://mayorga.fedorapeople.org/python-rfc3987.spec
SRPM URL: https://mayorga.fedorapeople.org/python-rfc3987-1.3.6-1.fc23.src.rpm
Description:
This module provides regular expressions according to RFC 3986 "Uniform
Resource Identifier (URI): Generic Syntax" <http://tools.ietf.org/html/rfc3986>
and RFC 3987 "Internationalized Resource Identifiers (IRIs)"
<http://tools.ietf.org/html/rfc3987>, and utilities for composition and
relative resolution of references.

Fedora Account System Username: mayorga

Comment 1 Igor Gnatenko 2016-08-13 08:15:32 UTC
Created attachment 1190637 [details]
python-rfc3987.spec.diff

I found some number of issues in spec file and I fixed them in attached patch.

Can you check and apply it?

Comment 2 Igor Gnatenko 2016-11-16 08:54:46 UTC
ping?

Comment 4 Athos Ribeiro 2017-02-14 16:06:12 UTC
Hi Eduardo,

I am taking this one :)

Version 1.3.7 is out, it would be nice to update before uploading this package.

This latest version includes the license file in the pypi sources, so there's no need for Source1 anymore.

Finally, Igor's patch has a global for the description and uses a macro for the summary. Using both would make your spec file cleaner (although this is not needed at all)

Would you like to update the package and discard Source1 before we go on?

Comment 5 Athos Ribeiro 2017-04-10 17:43:46 UTC
ping :)

Comment 6 Eduardo Mayorga 2017-04-12 00:40:27 UTC
Spec URL: https://fedorapeople.org/~mayorga/python-rfc3987.spec
SRPM URL: https://fedorapeople.org/~mayorga/python-rfc3987-1.3.7-1.fc27.src.rpm(In reply to Athos Ribeiro from comment #4)
> Hi Eduardo,
> 
> I am taking this one :)
> 
> Version 1.3.7 is out, it would be nice to update before uploading this
> package.

Done.
 
> This latest version includes the license file in the pypi sources, so
> there's no need for Source1 anymore.

Done.
 
> Finally, Igor's patch has a global for the description and uses a macro for
> the summary. Using both would make your spec file cleaner (although this is
> not needed at all)

Done.

> Would you like to update the package and discard Source1 before we go on?

Spec URL: https://fedorapeople.org/~mayorga/python-rfc3987.spec
SRPM URL: https://fedorapeople.org/~mayorga/python-rfc3987-1.3.7-1.fc27.src.rpm

Comment 7 Athos Ribeiro 2017-04-13 22:46:59 UTC
Hi Eduardo,

rpmlint throws a few errors and warnings:
- You probably want to remove the shebang from the python script, since it's not executable anyway.
- You could also capitalize HTTP, HTML, etc.

Other than that, the package looks good. I will trust you will solve these rpmlint problems before uploading the package.

Package approved

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-rfc3987-1.3.7-1.fc27.noarch.rpm
          python3-rfc3987-1.3.7-1.fc27.noarch.rpm
          python-rfc3987-1.3.7-1.fc27.src.rpm
python2-rfc3987.noarch: W: spelling-error %description -l en_US http -> HTTP
python2-rfc3987.noarch: W: spelling-error %description -l en_US ietf -> diet
python2-rfc3987.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python2-rfc3987.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/rfc3987.py /usr/bin/env python
python2-rfc3987.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/rfc3987.py 644 /usr/bin/env python
python3-rfc3987.noarch: W: spelling-error %description -l en_US http -> HTTP
python3-rfc3987.noarch: W: spelling-error %description -l en_US ietf -> diet
python3-rfc3987.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python3-rfc3987.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/rfc3987.py /usr/bin/env python
python3-rfc3987.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/rfc3987.py 644 /usr/bin/env python
python-rfc3987.src: W: spelling-error %description -l en_US http -> HTTP
python-rfc3987.src: W: spelling-error %description -l en_US ietf -> diet
python-rfc3987.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
3 packages and 0 specfiles checked; 4 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-rfc3987.noarch: W: spelling-error %description -l en_US http -> HTTP
python2-rfc3987.noarch: W: spelling-error %description -l en_US ietf -> diet
python2-rfc3987.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python2-rfc3987.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/rfc3987.py /usr/bin/env python
python2-rfc3987.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/rfc3987.py 644 /usr/bin/env python
python3-rfc3987.noarch: W: spelling-error %description -l en_US http -> HTTP
python3-rfc3987.noarch: W: spelling-error %description -l en_US ietf -> diet
python3-rfc3987.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python3-rfc3987.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/rfc3987.py /usr/bin/env python
python3-rfc3987.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/rfc3987.py 644 /usr/bin/env python
2 packages and 0 specfiles checked; 4 errors, 6 warnings.



Requires
--------
python2-rfc3987 (rpmlib, GLIBC filtered):
    python(abi)

python3-rfc3987 (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-rfc3987:
    python-rfc3987
    python2-rfc3987
    python2.7dist(rfc3987)
    python2dist(rfc3987)

python3-rfc3987:
    python3-rfc3987
    python3.6dist(rfc3987)
    python3dist(rfc3987)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/r/rfc3987/rfc3987-1.3.7.tar.gz :
  CHECKSUM(SHA256) this package     : 91a7826b0a26c246a5a91bef09c2c0809c713a689be689b9571e78a13f6557a4
  CHECKSUM(SHA256) upstream package : 91a7826b0a26c246a5a91bef09c2c0809c713a689be689b9571e78a13f6557a4

Comment 8 Gwyn Ciesla 2017-04-14 11:47:55 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-rfc3987


Note You need to log in before you can comment on or make changes to this bug.